Searched refs:command (Results 1 - 25 of 144) sorted by relevance

123456

/ast/src/lib/libtk/library/demos/
H A Dmenu.tcl23 button $w.buttons.dismiss -text Dismiss -command "destroy $w"
24 button $w.buttons.code -text "See Code" -command "showCode $w"
30 $m add command -label "Open ..." -command {error "this is just a demo: no action has been defined for the \"Open ...\" entry"}
31 $m add command -label "New" -command {error "this is just a demo: no action has been defined for the \"New\" entry"}
32 $m add command -label "Save" -command {error "this is just a demo: no action has been defined for the \"Save\" entry"}
33 $m add command -label "Save As ..." -command {erro
[all...]
H A Dbutton.tcl20 button $w.buttons.dismiss -text Dismiss -command "destroy $w"
21 button $w.buttons.code -text "See Code" -command "showCode $w"
25 -command "$w config -bg PeachPuff1; $w.buttons config -bg PeachPuff1"
27 -command "$w config -bg LightBlue1; $w.buttons config -bg LightBlue1"
29 -command "$w config -bg SeaGreen2; $w.buttons config -bg SeaGreen2"
31 -command "$w config -bg Yellow1; $w.buttons config -bg Yellow1"
H A Dcheck.tcl20 button $w.buttons.dismiss -text Dismiss -command "destroy $w"
21 button $w.buttons.code -text "See Code" -command "showCode $w"
23 -command "showVars $w.dialog wipers brakes sober"
H A Dclrpick.tcl19 button $w.buttons.dismiss -text Dismiss -command "destroy $w"
20 button $w.buttons.code -text "See Code" -command "showCode $w"
24 -command \
27 -command \
H A Dentry2.tcl20 button $w.buttons.dismiss -text Dismiss -command "destroy $w"
21 button $w.buttons.code -text "See Code" -command "showCode $w"
28 scrollbar $w.frame.s1 -relief sunken -orient horiz -command \
32 scrollbar $w.frame.s2 -relief sunken -orient horiz -command \
36 scrollbar $w.frame.s3 -relief sunken -orient horiz -command \
H A Dsayings.tcl21 button $w.buttons.dismiss -text Dismiss -command "destroy $w"
22 button $w.buttons.code -text "See Code" -command "showCode $w"
29 scrollbar $w.frame.yscroll -command "$w.frame.list yview"
31 -command "$w.frame.list xview"
H A Dradio.tcl19 button $w.buttons.dismiss -text Dismiss -command "destroy $w"
20 button $w.buttons.code -text "See Code" -command "showCode $w"
22 -command "showVars $w.dialog size color"
H A Dstates.tcl20 button $w.buttons.dismiss -text Dismiss -command "destroy $w"
21 button $w.buttons.code -text "See Code" -command "showCode $w"
27 scrollbar $w.frame.scroll -command "$w.frame.list yview"
H A Dfilebox.tcl19 button $w.buttons.dismiss -text Dismiss -command "destroy $w"
20 button $w.buttons.code -text "See Code" -command "showCode $w"
27 button $f.but -text "Browse ..." -command "fileDialog $w $f.ent $i"
H A Dentry1.tcl20 button $w.buttons.dismiss -text Dismiss -command "destroy $w"
21 button $w.buttons.code -text "See Code" -command "showCode $w"
H A Dform.tcl20 button $w.buttons.dismiss -text Dismiss -command "destroy $w"
21 button $w.buttons.code -text "See Code" -command "showCode $w"
H A Dimage1.tcl19 button $w.buttons.dismiss -text Dismiss -command "destroy $w"
20 button $w.buttons.code -text "See Code" -command "showCode $w"
/ast/src/lib/libtk/library/
H A DoptMenu.tcl39 $w.menu add command -label $firstValue \
40 -command [list set $varName $firstValue]
42 $w.menu add command -label $i -command [list set $varName $i]
H A Dbgerror.tcl46 button $w.ok -text OK -command "destroy $w"
49 scrollbar $w.scroll -relief sunken -command "$w.text yview"
/ast/src/cmd/INIT/
H A Dhurl.sh22 command=hurl
23 agent="$command/2009-01-20 (AT&T Research)"
28 0123) ARGV0="-a $command"
87 do test 0 != $verbose && echo "$command: url=$url" >&2
106 test 0 != $verbose && echo "$command: prot=$prot host=$host port=$port path=$path" >&2
110 then test 0 != $verbose && echo "$command: using /dev/tcp/$host/$port" >&2
117 then echo "$command: $host: write error"
122 then echo "$command: $host: read error" >&2
128 test 0 != $verbose && echo "$command: prot=$prot code=$code $text" >&2
131 then echo "$command
[all...]
H A Dcrossexec.sh22 command=crossexec
27 0123) ARGV0="-a $command"
49 [+shell?The command used to get shell access to \ahost\a. Currently
51 [+copy?The command used to copy \acommand\a to \ahost\a. Currently
56 crosstype command [ option ... ] [ file ... ]
62 USAGE="crosstype command [ option ... ] [ file ... ]"
95 info=$HOME/.$command
97 then echo "$command: $info: not found" >&2
109 *) echo "$command: $type: unknown cross compiler host type" >&2
138 $exec $sh $shu $hostname "cd $dir; LD_LIBRARY_PATH=: $cmd $@ </dev/null 2>/dev/null; code=\$?; rm -f $cmd; echo $command
[all...]
/ast/src/cmd/pax/
H A Dcpio.sh26 command=cpio
28 Usage: $command -o[acvBV] [-C size] [-M mesg] [-O file | >file ] <list
29 $command -i[bcdfkmrtsuvBSV6] [-I file | <file] [pattern ...]
30 $command -p[adlmuvV] directory"
48 while getopts -a $command "$OPTSTR" OPT
99 *) print -u2 "$command: $OPTARG: formats are {asc,crc,odc,tar,star}"; exit 1 ;;
110 "") print -u2 "$command: options inconsistent with archive read"
117 "") print -u2 "$command: options inconsistent with archive write"
123 *) print "$command: arguments not expected"
131 "") print -u2 "$command
[all...]
H A Drpm2cpio.sh22 command=rpm2cpio
24 0123) ARGV0="-a $command"
34 [+?This command is provided for interface compatibility; use \bpax\b(1) to
36 [n:show?Show the underlying \bpax\b(1) command but do not execute.]
62 *) echo "Usage: $command [-nv] [ file ]" >&2
/ast/src/lib/libast/path/
H A Dpathprog.c28 * command!=0 is used as a default
47 prog(const char* command, char* path, size_t size) argument
103 if (command)
105 s = (char*)command;
117 pathprog(const char* command, char* path, size_t size) argument
122 if ((n = prog(command, path, size)) > 0 && n < size && *path != '/' && (rel = strdup(path)))
/ast/src/cmd/tests/
H A Dopt.c159 char* command; local
173 while (command = *(argv + 1))
175 if (*command == '=' && (s = strchr(command + 1, '=')))
179 command++;
182 ip->name = command;
188 else if (streq(command, "-"))
193 else if (streq(command, "-+"))
201 else if (streq(command, "+") && *(argv + 2))
211 if (!(command
[all...]
/ast/src/cmd/3d/
H A Dvex.sh22 : vex skip expand command ...
26 [012]) print -u2 "Usage: $0 skip expand command ..."; exit 1 ;;
32 command=$1
54 "$command" "${argv[@]}"
H A Dopaque.sh29 print -u2 "$command: $@"
35 print -u2 "Usage: $command file ..."
39 command=${0##*/}
58 then [[ $i -ef .../... ]] || print -u2 "$command: $i: file exists"
/ast/src/cmd/msgcc/
H A Dmsgadmin.sh22 command=msgadmin
25 0123) ARGV0="-a $command"
31 [+NAME?'$command$' - message catalog file administration]
32 [+DESCRIPTION?\b'$command$'\b administers message catalog files. If no \afile\a
79 [[ -f $1 ]] || { print -u2 $"$command: INIT.msg: not found"; exit 1; }
108 [[ $INSTALLROOT ]] || { print -u2 $"$command: INSTALLROOT not defined"; exit 1; }
114 [[ -d $dir ]] || { print -u2 $"$command: $dir: not found"; exit 1; }
123 then print -u2 "$command: $locale: no message files"
/ast/src/cmd/pack/
H A Dunpack.c90 char *command; local
100 if(command = strrchr(argv[0],'/'))
101 command++;
103 command = argv[0];
104 error_info.id = command;
105 pcat = (*command=='p');
187 sfprintf(sfstdout,"%s: %s: unpacked\n",command, infile);
/ast/src/lib/libast/sfio/
H A Dsfpopen.c42 /* execute command directly if possible; else use the shell */
95 /* get the command name */
134 Sfio_t* sfpopen(Sfio_t* f, const char* command, const char* mode) argument
136 Sfio_t* sfpopen(f,command,mode)
138 char* command; /* command to execute */
149 if (!command || !command[0] || !mode)
167 av[2] = (char*)command;
197 if(!command || !comman
[all...]

Completed in 27 milliseconds

123456